//

import UIKit
import PDFNet
import Tools

class DocController: PTDocumentController {
    
    func loadDoc() {
        let fileURL: URL = URL(string:"https://pdftron.s3.amazonaws.com/downloads/pl/sample.pdf")!
        openDocument(with: fileURL)
    }
    
    override func toolManager(_ toolManager: PTToolManager, annotationModified annotation: PTAnnot, onPageNumber pageNumber: UInt) {
        if (annotation.getType() != e_ptFreeText) {
            setToolbarColorForAnnotation(annotation)
        }
    }
    
    func setToolbarColorForAnnotation(_ annot: PTAnnot) {
        let style = PTAnnotStyle(annotType: annot.extendedAnnotType)
        let presets = PTAnnotationStyleManager.default.stylePresets(forAnnotationType: annot.extendedAnnotType)
        var styles = presets.styles
        styles[Int(presets.selectedIndex)] = style
        presets.styles = styles
        PTAnnotationStyleManager.default.setStylePresets(presets, forAnnotationType: annot.extendedAnnotType)
    }
}
